Package org.jcsp.lang

# Interface SharedChannelOutput

All Superinterfaces:
  `ChannelOutput`, `Poisonable`

All Known Subinterfaces:
  `FilteredSharedChannelOutput`, `NetSharedChannelOutput`

All Known Implementing Classes:
  `FilteredSharedChannelOutputWrapper`

public interface SharedChannelOutput extends ChannelOutput
This is the same as `ChannelOutput` except that it is guaranteed safe to pass on to more than one internal process for parallel writing.

A writing-end, obtained from an any-one or any-any channel by invoking its `in()` method, will implement this interface.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelOutput

`write`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`